Redmine - Defect #2040

first Idap auth mode does not works but the second does
2008-10-17 00:32 - Erik Ordway

Status: Closed Start date: 2008-10-17
Priority: Normal Due date: 2013-02-13
Assignee: % Done: 0%
Category: LDAP Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

Ok | set up two instances to test this.

Where | work the LDAP tree (AD) has a section for "faculty and staff" and other for "students" . Due to wanting students to be able to
self reg | set up two auth methods, one for students (id => 1) and another for "faculty and staff" (id => 2). | never really tested the
student one as it has not been used yet.

Then | needed to set up another instance that only "faculty and staff" have access to so | only set up one authentication method. It
would not work. The test button was happy but now one could auth. | took the working site config and line by line copied the config
and used the same user to connect to the Idap tree and to try and log in with. The only difference was that the first site had 2 auth
methods with the working one being second and the second site had only one.

So | copied the first auth method on the second site to a second auth method and low and behold it worked and people could log in
when the new auth menthod was set for them. Then | when back and tested the first auth method on the first site and it would not
work also.

What seems happening is that this code

dn = String.new

Idap_con.search( :base => self.base_dn,

filter => object_filter & login_filter, # only ask for the DN if on-the-fly registration is disabled
:attributes=> (onthefly_register? ? ['dn’, self.attr_firstname, self.attr_lastname, self.attr_mail] : ['dn"])) do |entry|
dn = entry.dn

is not running for the first auth method and the dn is empty so that when you get to

return nil if dn.empty?

the method returns.

| can not explain why this happens.

History

#1 - 2008-10-17 18:32 - Erik Ordway

After a bit more testing it seems that method #1 will always fail but ones with id's of 2 and 3 will work.

#2 - 2013-02-06 10:50 - Daniel Felix
- Due date set to 2013-02-13

- Status changed from New to Needs feedback

I'm currently not able to reproduce this error with the current Redmine trunk. Maybe you could test this with the current trunk?

| will close this issue next week if there will be no feedback on this issue.

#3 - 2013-02-11 08:39 - Toshi MARUYAMA

- Category changed from Accounts / authentication to LDAP

#4 - 2013-03-17 17:10 - Daniel Felix
- Status changed from Needs feedback to Closed
- Resolution set to Cant reproduce

I'm not able to reproduce this in the current release and trunk. LDAP seems to work as expected.

As there is no feedback on this issue. I'm going to close this issue.
